<?php

namespace common\logic\Distribution\ProductDistribution\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Distribution\ProductDistribution\Model\ProductDistribution;
use common\logic\Distribution\ProductDistribution\Repository\ProductDistributionRepository;
use common\logic\Distribution\ProductDistribution\Service\ProductDistributionBuilder;
use common\logic\Distribution\ProductDistribution\Service\ProductDistributionDefinition;

class ProductDistributionContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            ProductDistributionDefinition::class,
            ProductDistributionRepository::class,
            ProductDistributionBuilder::class,
        ];
    }

    public function getDefinition(): ProductDistributionDefinition
    {
        return ProductDistributionDefinition::getInstance();
    }

    public function getRepository(): ProductDistributionRepository
    {
        return ProductDistributionRepository::getInstance();
    }

    public function getBuilder(): ProductDistributionBuilder
    {
        return ProductDistributionBuilder::getInstance();
    }
}