<?php

namespace common\logic\Document\Quotation\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Document\Document\Service\DocumentSolver;
use common\logic\Document\Quotation\Repository\QuotationRepository;
use common\logic\Document\Quotation\Service\QuotationBuilder;
use common\logic\Document\Quotation\Service\QuotationDefinition;

class QuotationContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            QuotationDefinition::class,
            DocumentSolver::class,
            QuotationRepository::class,
            QuotationBuilder::class,
        ];
    }

    public function getDefinition(): QuotationDefinition
    {
        return QuotationDefinition::getInstance();
    }

    public function getSolver(): DocumentSolver
    {
        return DocumentSolver::getInstance();
    }
    
    public function getRepository(): QuotationRepository
    {
        return QuotationRepository::getInstance();
    }

    public function getBuilder(): QuotationBuilder
    {
        return QuotationBuilder::getInstance();
    }
}