<?php

namespace common\logic\Order\Order\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Order\Order\Repository\OrderRepository;
use common\logic\Order\Order\Service\OrderBuilder;
use common\logic\Order\Order\Service\OrderDefinition;
use common\logic\Order\Order\Service\OrderSolver;
use common\logic\Order\Order\Service\OrderUtils;

class OrderContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            OrderDefinition::class,
            OrderSolver::class,
            OrderRepository::class,
            OrderBuilder::class,
            OrderUtils::class
        ];
    }

    public function getDefinition(): OrderDefinition
    {
        return OrderDefinition::getInstance();
    }

    public function getSolver(): OrderSolver
    {
        return OrderSolver::getInstance();
    }

    public function getRepository(): OrderRepository
    {
        return OrderRepository::getInstance();
    }

    public function getBuilder(): OrderBuilder
    {
        return OrderBuilder::getInstance();
    }

    public function getUtils(): OrderUtils
    {
        return OrderUtils::getInstance();
    }
}