<?php

namespace common\logic\Payment\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Payment\Repository\PaymentRepository;
use common\logic\Payment\Service\PaymentNotifier;
use common\logic\Payment\Service\PaymentUtils;
use common\logic\Payment\Service\PaymentBuilder;
use common\logic\Payment\Service\PaymentDefinition;
use common\logic\Payment\Service\PaymentSolver;

class PaymentContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            PaymentDefinition::class,
            PaymentSolver::class,
            PaymentBuilder::class,
            PaymentRepository::class,
            PaymentNotifier::class,
            PaymentUtils::class,
        ];
    }

    public function getDefinition(): PaymentDefinition
    {
        return PaymentDefinition::getInstance();
    }

    public function getSolver(): PaymentSolver
    {
        return PaymentSolver::getInstance();
    }

    public function getBuilder(): PaymentBuilder
    {
        return PaymentBuilder::getInstance();
    }

    public function getRepository(): PaymentRepository
    {
        return PaymentRepository::getInstance();
    }

    public function getNotifier(): PaymentNotifier
    {
        return PaymentNotifier::getInstance();
    }

    public function getUtils(): PaymentUtils
    {
        return PaymentUtils::getInstance();
    }
}