<?php

namespace common\logic\PointSale\PointSale\Wrapper;

use common\logic\AbstractContainer;
use common\logic\PointSale\PointSale\Repository\PointSaleRepository;
use common\logic\PointSale\PointSale\Service\PointSaleBuilder;
use common\logic\PointSale\PointSale\Service\PointSaleDefinition;
use common\logic\PointSale\PointSale\Service\PointSaleSolver;

class PointSaleContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            PointSaleDefinition::class,
            PointSaleSolver::class,
            PointSaleRepository::class,
            PointSaleBuilder::class,
        ];
    }

    public function getDefinition(): PointSaleDefinition
    {
        return PointSaleDefinition::getInstance();
    }

    public function getSolver(): PointSaleSolver
    {
        return PointSaleSolver::getInstance();
    }

    public function getRepository(): PointSaleRepository
    {
        return PointSaleRepository::getInstance();
    }

    public function getBuilder(): PointSaleBuilder
    {
        return PointSaleBuilder::getInstance();
    }
}