<?php

namespace common\logic\PointSale\UserPointSale\Wrapper;

use common\logic\AbstractContainer;
use common\logic\PointSale\UserPointSale\Repository\UserPointSaleRepository;
use common\logic\PointSale\UserPointSale\Service\UserPointSaleBuilder;
use common\logic\PointSale\UserPointSale\Service\UserPointSaleDefinition;

class UserPointSaleContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            UserPointSaleDefinition::class,
            UserPointSaleRepository::class,
            UserPointSaleBuilder::class,
        ];
    }

    public function getDefinition(): UserPointSaleDefinition
    {
        return UserPointSaleDefinition::getInstance();
    }

    public function getRepository(): UserPointSaleRepository
    {
        return UserPointSaleRepository::getInstance();
    }

    public function getBuilder(): UserPointSaleBuilder
    {
        return UserPointSaleBuilder::getInstance();
    }
}