<?php

namespace common\logic\Product\Product\Wrapper;

use common\logic\AbstractContainer;
use common\logic\DefinitionInterface;
use common\logic\Product\Product\Repository\ProductRepository;
use common\logic\Product\Product\Service\ProductBuilder;
use common\logic\Product\Product\Service\ProductDefinition;
use common\logic\Product\Product\Service\ProductSolver;

class ProductContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            ProductDefinition::class,
            ProductSolver::class,
            ProductBuilder::class,
            ProductRepository::class,
        ];
    }

    public function getDefinition(): DefinitionInterface
    {
        return ProductDefinition::getInstance();
    }

    public function getSolver(): ProductSolver
    {
        return ProductSolver::getInstance();
    }

    public function getRepository(): ProductRepository
    {
        return  ProductRepository::getInstance();
    }

    public function getBuilder(): ProductBuilder
    {
        return ProductBuilder::getInstance();
    }
}