<?php

namespace common\logic\Product\ProductCategory\Wrapper;

use common\logic\AbstractContainer;
use common\logic\DefinitionInterface;
use common\logic\Product\ProductCategory\Repository\ProductCategoryRepository;
use common\logic\Product\ProductCategory\Service\ProductCategoryBuilder;
use common\logic\Product\ProductCategory\Service\ProductCategoryDefinition;

class ProductCategoryContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            ProductCategoryDefinition::class,
            ProductCategoryBuilder::class,
            ProductCategoryRepository::class
        ];
    }

    public function getDefinition(): DefinitionInterface
    {
        return ProductCategoryDefinition::getInstance();
    }

    public function getBuilder(): ProductCategoryBuilder
    {
        return ProductCategoryBuilder::getInstance();
    }

    public function getRepository(): ProductCategoryRepository
    {
        return ProductCategoryRepository::getInstance();
    }
}