<?php

namespace common\logic\Subscription\Subscription\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Subscription\Subscription\Service\SubscriptionDefinition;
use common\logic\User\User\Model\User;

class SubscriptionRepositoryQuery extends AbstractRepositoryQuery
{
    protected SubscriptionDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(SubscriptionDefinition::class);
    }

    public function filterByUser(User $user): self
    {
        $this->andWhere(['subscription.id_user' => $user->id]);
        return $this;
    }
}