<?php

namespace common\logic\Subscription\Subscription\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Subscription\Subscription\Repository\SubscriptionRepository;
use common\logic\Subscription\Subscription\Service\SubscriptionBuilder;
use common\logic\Subscription\Subscription\Service\SubscriptionDefinition;
use common\logic\Subscription\Subscription\Service\SubscriptionSolver;

class SubscriptionContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            SubscriptionDefinition::class,
            SubscriptionSolver::class,
            SubscriptionRepository::class,
            SubscriptionBuilder::class
        ];
    }

    public function getDefinition(): SubscriptionDefinition
    {
        return SubscriptionDefinition::getInstance();
    }

    public function getSolver(): SubscriptionSolver
    {
        return SubscriptionSolver::getInstance();
    }

    public function getRepository(): SubscriptionRepository
    {
        return SubscriptionRepository::getInstance();
    }

    public function getBuilder(): SubscriptionBuilder
    {
        return SubscriptionBuilder::getInstance();
    }
}