<?php

namespace common\logic\Ticket\Ticket\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Ticket\Ticket\Repository\TicketRepository;
use common\logic\Ticket\Ticket\Service\TicketBuilder;
use common\logic\Ticket\Ticket\Service\TicketDefinition;
use common\logic\Ticket\Ticket\Service\TicketSolver;

class TicketContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            TicketDefinition::class,
            TicketRepository::class,
            TicketBuilder::class,
            TicketSolver::class,
        ];
    }

    public function getDefinition(): TicketDefinition
    {
        return TicketDefinition::getInstance();
    }

    public function getRepository(): TicketRepository
    {
        return TicketRepository::getInstance();
    }

    public function getBuilder(): TicketBuilder
    {
        return TicketBuilder::getInstance();
    }

    public function getSolver(): TicketSolver
    {
        return TicketSolver::getInstance();
    }
}