<?php

namespace common\logic\Ticket\TicketMessage\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Ticket\TicketMessage\Repository\TicketMessageRepository;
use common\logic\Ticket\TicketMessage\Service\TicketMessageBuilder;
use common\logic\Ticket\TicketMessage\Service\TicketMessageDefinition;

class TicketMessageContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            TicketMessageDefinition::class,
            TicketMessageRepository::class,
            TicketMessageBuilder::class
        ];
    }

    public function getDefinition(): TicketMessageDefinition
    {
        return TicketMessageDefinition::getInstance();
    }

    public function getRepository(): TicketMessageRepository
    {
        return TicketMessageRepository::getInstance();
    }

    public function getFactory(): TicketMessageBuilder
    {
        return TicketMessageBuilder::getInstance();
    }
}