<?php

namespace common\logic\Ticket\TicketUser\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Ticket\TicketUser\Repository\TicketUserRepository;
use common\logic\Ticket\TicketUser\Service\TicketUserBuilder;
use common\logic\Ticket\TicketUser\Service\TicketUserDefinition;

class TicketUserContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            TicketUserDefinition::class,
            TicketUserRepository::class,
            TicketUserBuilder::class
        ];
    }

    public function getDefinition(): TicketUserDefinition
    {
        return TicketUserDefinition::getInstance();
    }

    public function getRepository(): TicketUserRepository
    {
        return TicketUserRepository::getInstance();
    }

    public function getBuilder(): TicketUserBuilder
    {
        return TicketUserBuilder::getInstance();
    }
}