<?php

namespace common\logic\User\UserGroup\Wrapper;

use common\logic\AbstractContainer;
use common\logic\User\UserGroup\Repository\UserGroupRepository;
use common\logic\User\UserGroup\Service\UserGroupBuilder;
use common\logic\User\UserGroup\Service\UserGroupDefinition;

class UserGroupContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            UserGroupDefinition::class,
            UserGroupBuilder::class,
            UserGroupRepository::class
        ];
    }

    public function getDefinition(): UserGroupDefinition
    {
        return UserGroupDefinition::getInstance();
    }

    public function getBuilder(): UserGroupBuilder
    {
        return UserGroupBuilder::getInstance();
    }

    public function getRepository(): UserGroupRepository
    {
        return UserGroupRepository::getInstance();
    }
}