<?php

namespace common\logic\User\UserProducer\Wrapper;

use common\logic\AbstractContainer;
use common\logic\User\UserProducer\Repository\UserProducerRepository;
use common\logic\User\UserProducer\Service\UserProducerBuilder;
use common\logic\User\UserProducer\Service\UserProducerDefinition;
use common\logic\User\UserProducer\Service\UserProducerSolver;

class UserProducerContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            UserProducerDefinition::class,
            UserProducerSolver::class,
            UserProducerRepository::class,
            UserProducerBuilder::class,
        ];
    }

    public function getDefinition(): UserProducerDefinition
    {
        return UserProducerDefinition::getInstance();
    }

    public function getRepository(): UserProducerRepository
    {
        return UserProducerRepository::getInstance();
    }

    public function getBuilder(): UserProducerBuilder
    {
        return UserProducerBuilder::getInstance();
    }
}